package Common.Visual.Controls;
import Common.Visual.UI_;
import Common.Visual.Themes.ThemeElement;
import Common.Visual.Fonts.VisualiserFonts;

import javax.swing.*;
public class StyledList extends JList implements ThemeElement {
    public StyledList() {
        setFont(UI_.getTheme().Fonts.get(VisualiserFonts.TreePlain));
        applyTheme();
    }
    @Override
    public void applyTheme() {
        setBackground(UI_.getTheme().table_background);
        setForeground(UI_.getTheme().foreground);
    }
}
